package Server1to1;

import java.awt.*;
import java.util.*;
import java.io.*;

public class Settings {

  static int PORT;
  static String  FUNC_1 = "LOAD";

  static boolean URL               = false;
  static boolean ERROR_DETAILS_ON  = false;

  static boolean SEND_ACTION_BACK = false;
  static String  SERVER_URL = "";
  static String  SERVER_PORT = "";
  static String  SERVER_DESCR = "";
  static String  SERVER_DATA = "";
  static String  SERVER_BUT1 = "";
  static String  SERVER_BUT2 = "";
  static String  SERVER_BUT1TXT = "";
  static String  SERVER_BUT2TXT = "";
  static String  SERVER_RESERVED = "";

static public boolean loadPrefs () {

  int i;
  System.out.println("Loading Preferences File...");

  try {RandomAccessFile file = new RandomAccessFile("prefs", "r");

    String line;                     // buffer for lines

    try {

    while ((line = file.readLine()) != null) {             // until end of file - change to data2!!

    String parseit = "$";                                   // Character for Keywords
    String parm;                                            // buffer for arguments
    if (line.length() > 2) {                                // lines < 3 are useless (at least!)
      if (line.charAt(0) == parseit.charAt(0)) {            // Keyword is following
      line = line.substring(1);                             // cut Line - 1. character
      StringTokenizer st = new StringTokenizer(line);       // Separate Arguments
      if (st.countTokens() >= 2) {                          // at least 2 Tokens!

          parm = st.nextToken();                            // get Keyword
          int words = st.countTokens();

            if (parm.compareTo("PORT") == 0) {
                PORT = Integer.valueOf(st.nextToken()).intValue();
                }
            if (parm.compareTo("FUNC_1") == 0) {
                FUNC_1 = st.nextToken();
                }
            if (parm.compareTo("SEND_ACTION_BACK") == 0) {
                if (st.nextToken().compareTo("1") == 0) SEND_ACTION_BACK = true;
                }
            if (parm.compareTo("SERVER_URL") == 0) {
                SERVER_URL = st.nextToken();
                }
            if (parm.compareTo("SERVER_PORT") == 0) {
                SERVER_PORT = st.nextToken();
                }
            if (parm.compareTo("SERVER_DESCR") == 0) {
                for (i = 0; i < words; i++) {
                  SERVER_DESCR = SERVER_DESCR + st.nextToken();
                  if (i != words - 1) SERVER_DESCR = SERVER_DESCR + " ";
                  }
                }
            if (parm.compareTo("SERVER_DATA") == 0) {
                for (i = 0; i < words; i++) {
                  SERVER_DATA = SERVER_DATA + st.nextToken();
                  if (i != words - 1) SERVER_DATA = SERVER_DATA + " ";
                  }
                }
            if (parm.compareTo("SERVER_BUT1") == 0) {
                SERVER_BUT1 = st.nextToken();
                }
            if (parm.compareTo("SERVER_BUT2") == 0) {
                SERVER_BUT2 = st.nextToken();
                }
            if (parm.compareTo("SERVER_BUT1TXT") == 0) {
                for (i = 0; i < words; i++) {
                  SERVER_BUT1TXT = SERVER_BUT1TXT + st.nextToken();
                  if (i != words - 1) SERVER_BUT1TXT = SERVER_BUT1TXT + " ";
                  }
                }
            if (parm.compareTo("SERVER_BUT2TXT") == 0) {
                for (i = 0; i < words; i++) {
                  SERVER_BUT2TXT = SERVER_BUT2TXT + st.nextToken();
                  if (i != words - 1) SERVER_BUT2TXT = SERVER_BUT2TXT + " ";
                  }
                }
            if (parm.compareTo("SERVER_RESERVED") == 0) {
                for (i = 0; i < words; i++) {
                  SERVER_RESERVED = SERVER_RESERVED + st.nextToken();
                  if (i != words - 1) SERVER_RESERVED = SERVER_RESERVED + " ";
                  }
                }
           
      }
      else if (Settings.ERROR_DETAILS_ON) System.out.println("WARNING: Invalid Line detected: $" + line + "");
      }

    }
    }// end while
    } catch (IOException io) {
             System.out.println("caught IO Exception.");
             return(false);
             }
    } catch (IOException io) {
             System.out.println("ERROR: File not found. File: prefs");
             return(false);
             }
      catch (SecurityException sec) {
             System.out.println(sec.getMessage());
             return(false);
             }
  
  return (true);
    
  }


}

